# Ogre::TerrainBufferCache Class Reference

A cache of TerrainIndexBuffers. More...

`#include <OgreTerrainRenderable.h>`

List of all members.

## Public Member Functions

void | shutdown (void)
| ~TerrainBufferCache ()

## Public Attributes

IndexArray | mCache

## Detailed Description

A cache of TerrainIndexBuffers.

Used to keep track of the buffers, and delete them when the program finishes.

Definition at line 61 of file OgreTerrainRenderable.h.

## Constructor & Destructor Documentation

Ogre::TerrainBufferCache::~TerrainBufferCache | ( |  | ) |

| Definition at line 72 of file OgreTerrainRenderable.h. References shutdown().

## Member Function Documentation

void Ogre::TerrainBufferCache::shutdown | ( | void |  | ) |

| Definition at line 64 of file OgreTerrainRenderable.h. References mCache. Referenced by ~TerrainBufferCache().

## Member Data Documentation

IndexArray Ogre::TerrainBufferCache::mCache

| Definition at line 77 of file OgreTerrainRenderable.h. Referenced by shutdown().

The documentation for this class was generated from the following file:

- OgreTerrainRenderable.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:06:27 2006